/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2011 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * SubMenuItem.cpp
 *
 *  Created on: Dec 10, 2009
 *      Author: crueger
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include <iostream>

#include "Menu/TextMenu/SubMenuItem.hpp"
#include "Menu/TextMenu/TxMenu.hpp"

SubMenuItem::SubMenuItem(char _trigger,const std::string &_description,TxMenu* const _parent, TxMenu* const _instance) :
  MenuItem(_trigger,_description,_parent),
  theMenu(_instance)
{}

SubMenuItem::~SubMenuItem()
{}

void SubMenuItem::doTrigger() {
  theMenu->display();
}
